body {
    padding: 100px 20px 0;
}

button, input {
    font-size: 16px;
    font-family: sans-serif;
}

button, a {
    cursor: pointer;
}

button:hover {
    filter: brightness(95%);
}

a:hover {
    text-decoration: underline;
}

.donation-widget {
    max-width: 450px;
    min-width: 200px;
    font-size: 16px;
    font-family: sans-serif;
}

.donation-widget .progress-box {
    width: 100%;
    height: 24px;
    position: relative;
}

.donation-widget .progress-bar {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    border: 1px solid #dedede;
    background-color: #fff;
}

.donation-widget .progress-bar-value {
    height: 100%;
    background-color: #f15e33;
}

.donation-widget .progress-tooltip {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(calc(-100% - 12px));
    width: 100%;
    box-sizing: border-box;
    padding: 20px 12px;
    background-color: #424242;
    color: #fff;
    text-align: center;
    line-height: 1.4;
    border-radius: 5px;
    z-index: 1;
}

.donation-widget .progress-tooltip-arrow {
    position: absolute;
    bottom: calc(-24px + 1px);
    width: 0;
    height: 0;
    border: 12px solid transparent;
    border-top: 12px solid #424242;
}

.donation-widget .progress-bar:hover + .progress-tooltip:not(.disabled) {
    display: block;
}

.donation-widget .content {
    padding: 20px;
    border: 1px solid #dedede;
    box-shadow: 0 2px #f4f4f4;
    color: #777777;
}

.donation-widget .days-left {
    margin-bottom: 20px;
    line-height: 1.6;
}

.donation-widget .days-left > b {
    font-weight: bold;
    color: #f15e33;
}

.donation-widget .main-message {
    line-height: 1.6;
}

.donation-widget .main-message > b {
    font-weight: bold;
}

.donation-widget .donation-box {
    display: flex;
    flex-direction: row;
    font-size: 18px;
}

.donation-widget .donation-field {
    width: 48%;
    position: relative;
    margin-top: 20px;
}

.donation-widget .donation-input {
    width: 100%;
    min-width: 100px;
    box-sizing: border-box;
    padding: 12px 8px 12px 24px;
    border: 1px solid #999;
    border-radius: 5px;
    font-weight: bold;
}

.donation-widget .dollar-sign {
    position: absolute;
    top: 50%;
    left: 8px;
    transform: translateY(-50%);
}

.donation-widget .donate-button {
    width: 48%;
    min-width: 100px;
    box-sizing: border-box;
    margin-top: 20px;
    padding: 12px 12px;
    border: none;
    border-radius: 5px;
    background-color: #00be1c;
    color: #fff;
    font-weight: bold;
}

.donation-widget .why-give-link {
    display: inline-block;
    margin-top: 16px;
    font-style: italic;
    color: #10a0d6;
}

.donation-widget .other-buttons {
    display: flex;
    flex-direction: row;
}

.donation-widget .save-later-button,
.donation-widget .tell-friends-button {
    width: 48%;
    min-width: 130px;
    box-sizing: border-box;
    margin-top: 16px;
    padding: 8px 12px;
    border: 1px solid #dedede;
    border-bottom-width: 2px;
    border-radius: 5px;
    color: #777777;
    background-color: #fafafa;
}

.donation-widget .spacer {
    flex: 1;
}


@media (max-width: 320px) {
    .donation-widget .donation-box,
    .donation-widget .other-buttons {
        flex-direction: column;
    }

    .donation-widget .donation-field,
    .donation-widget .donate-button,
    .donation-widget .save-later-button,
    .donation-widget .tell-friends-button {
        width: 100%;
    }
}
